org.apache.http.protocol

## Interface HttpRequestInterceptorList

All Known Implementing Classes:
  BasicHttpProcessor

Deprecated.
(4.3)

    @Deprecated
    public interface HttpRequestInterceptorList

Provides access to an ordered list of request interceptors. Lists are expected to be built upfront and used read-only afterwards for `processing`.

Since:
  4.0

### Method Summary

Methods
`void` `addRequestInterceptor(HttpRequestInterceptor interceptor)` Deprecated. Appends a request interceptor to this list.
`void` `addRequestInterceptor(HttpRequestInterceptor interceptor, int index)` Deprecated. Inserts a request interceptor at the specified index.
`void` `clearRequestInterceptors()` Deprecated. Removes all request interceptors from this list.
`HttpRequestInterceptor` `getRequestInterceptor(int index)` Deprecated. Obtains a request interceptor from this list.
`int` `getRequestInterceptorCount()` Deprecated. Obtains the current size of this list.
`void` `removeRequestInterceptorByClass(Class<? extends HttpRequestInterceptor> clazz)` Deprecated. Removes all request interceptor of the specified class
`void` `setInterceptors(List<?> list)` Deprecated. Sets the request interceptors in this list.

### Method Detail

#### addRequestInterceptor

    void addRequestInterceptor(HttpRequestInterceptor interceptor)

Deprecated.
Appends a request interceptor to this list.

Parameters:
  `interceptor` - the request interceptor to add

#### addRequestInterceptor

    void addRequestInterceptor(HttpRequestInterceptor interceptor,
                             int index)

Deprecated.
Inserts a request interceptor at the specified index.

Parameters:
  `interceptor` - the request interceptor to add
  `index` - the index to insert the interceptor at

#### getRequestInterceptorCount

    int getRequestInterceptorCount()

Deprecated.
Obtains the current size of this list.

Returns:
  the number of request interceptors in this list

#### getRequestInterceptor

    HttpRequestInterceptor getRequestInterceptor(int index)

Deprecated.
Obtains a request interceptor from this list.

Parameters:
  `index` - the index of the interceptor to obtain, 0 for first
Returns:
  the interceptor at the given index, or `null` if the index is out of range

#### clearRequestInterceptors

    void clearRequestInterceptors()

Deprecated.
Removes all request interceptors from this list.

#### removeRequestInterceptorByClass

    void removeRequestInterceptorByClass(Class<? extends HttpRequestInterceptor> clazz)

Deprecated.
Removes all request interceptor of the specified class

Parameters:
  `clazz` - the class of the instances to be removed.

#### setInterceptors

    void setInterceptors(List<?> list)

Deprecated.
Sets the request interceptors in this list. This list will be cleared and re-initialized to contain all request interceptors from the argument list. If the argument list includes elements that are not request interceptors, the behavior is implementation dependent.

Parameters:
  `list` - the list of request interceptors